package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.entity.LessMeasureSummary;
import cn.com.victorysoft.business.indicator.entity.MoreMeasureSummary;
import cn.com.victorysoft.business.sys.param.UnitMonthParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface LessMeasureSummaryDao {
    int deleteByPrimaryKey(LessMeasureSummary key);

    int insert(LessMeasureSummary record);

    LessMeasureSummary selectByPrimaryKey(LessMeasureSummary key);

    int updateByPrimaryKeySelective(LessMeasureSummary record);

    int updateByPrimaryKey(LessMeasureSummary record);

    List<LessMeasureSummary> selectUnit(UnitMonthParam param);

    List<LessMeasureSummary> selectChildren(UnitMonthParam param);

    int deleteByMonth(String month);

    /**
     * 汇总站级数据
     */
    void summaryStation(String month);
    /**
     * 汇总区级数据
     */
    void summaryArea(String month);
    /**
     * 汇总厂级数据
     */
    void summaryCompany(String month);
    /**
     * 汇总局级数据
     */
    void summaryGroup(String month);
}